Bug 1044160 - remove-ds.pl should remove /var/lock/dirsrv
Summary: remove-ds.pl should remove /var/lock/dirsrv
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:34 UTC by Nathan Kinder
Modified: 2015-03-05 09:31 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:31:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:34:20 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47394

When removing the last instance of 389, we should clean up /var/lock/dirsrv, and maybe other directories like this(/var/run/dirsrv, etc), because if you create a DS instance running as a different user than the previous instance, these "old" directories remain, and prevent a new server instance from being created.

To reproduce:

[1] run setup-ds.pl and specify "nobody" as the user and group for the server instance.
[2] run remove-ds.pl
[3] Create a user and group called "dirsrv"
[4] run setup.pl and specify "dirsrv" as the user and group
[5] setup fails.

Comment 2 Viktor Ashirov 2014-12-10 15:16:27 UTC
$ rpm -qa  | grep 389
389-ds-base-1.3.3.1-9.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-9.el7.x86_64
389-ds-base-libs-1.3.3.1-9.el7.x86_64

$ sudo setup-ds.pl -s -f template_nobody.inf 
Your new DS instance 'rhel7ds' was successfully created.
Exiting . . .
Log file is '/tmp/setup5SUXDV.log'

$ ls -l /var/lock/ | grep dirsrv
drwxrwx---. 3 nobody nobody 60 Dec 10 15:44 dirsrv
$ sudo remove-ds.pl -i slapd-rhel7ds
Instance slapd-rhel7ds removed.

$ ls -l /var/lock | grep dirsrv
$ echo $?
1
$ sudo setup-ds.pl -s -f template_dirsrv.inf 
Your new DS instance 'rhel7ds' was successfully created.
Exiting . . .
Log file is '/tmp/setupyK7yW2.log'

$ ls -l /var/lock/ | grep dirsrv
drwxrwx---. 3 dirsrv  dirsrv    26 Dec 10 15:47 dirsrv

Instance was successfully installed. Marking as VERIFIED.

Comment 4 errata-xmlrpc 2015-03-05 09:31:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.